Package com.macrofocus.high_d.barchart.swing

# Class SwingBarChart<Row,Column>

java.lang.Object
com.macrofocus.high_d.barchart.AbstractBarChart<JComponent,Color,Row,Column>
com.macrofocus.high_d.barchart.swing.SwingBarChart<Row,Column>

All Implemented Interfaces:
  `BarChart<JComponent,Color,Row,Column>`

public class SwingBarChart<Row,Column> extends AbstractBarChart<JComponent,Color,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.barchart.AbstractBarChart

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingBarChart(BarChartModel<Color,Row,Column> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BarChartController`
  `createController(BarChartView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected BarChartModel<Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected BarChartView<JComponent,Color,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `JComponent`
  `getNativeComponent()`

  ### Methods inherited from class com.macrofocus.high_d.barchart.AbstractBarChart

  `getController, getModel, getView, load, setController, setLicenseKey, setModel, setView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingBarChart

    public SwingBarChart(BarChartModel<Color,Row,Column> model)

- ## Method Details

  - ### createModel

    protected BarChartModel<Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractBarChart`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractBarChart<JComponent,Color,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a BarChartModel instance

  - ### createView

    protected BarChartView<JComponent,Color,Row,Column> createView()
    Description copied from class: `AbstractBarChart`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractBarChart<JComponent,Color,Row,Column>`
    Returns:
      a BarChartView instance

  - ### createController

    protected BarChartController createController(BarChartView view)
    Description copied from class: `AbstractBarChart`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractBarChart<JComponent,Color,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a BarChartController instance

  - ### getNativeComponent

    public JComponent getNativeComponent()